# Project: Project1
# Makefile created by Dev-C++ 4.9.8.4

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = sim1_private.res
OBJ  = main.o world.o robot.o utility.o console.o automode.o graphics.o map.o $(RES)
LINKOBJ  = main.o world.o robot.o utility.o console.o automode.o graphics.o map.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -mwindows 
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/include/c++"  -I"C:/Dev-Cpp/include/c++/mingw32"  -I"C:/Dev-Cpp/include/c++/backward"  -I"C:/Dev-Cpp/include" 
BIN  = "Robot Sim.exe"
CXXFLAGS = $(CXXINCS)  -fexpensive-optimizations -O3
CFLAGS = $(INCS)  -fexpensive-optimizations -O3

.PHONY: all all-before all-after clean clean-custom

all: all-before "Robot Sim.exe" all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(LINKOBJ)
	$(CPP) $(LINKOBJ) -o "Robot Sim.exe" $(LIBS)

main.o: main.cpp
	$(CPP) -c main.cpp -o main.o $(CXXFLAGS)

world.o: world.cpp
	$(CPP) -c world.cpp -o world.o $(CXXFLAGS)

robot.o: robot.cpp
	$(CPP) -c robot.cpp -o robot.o $(CXXFLAGS)

utility.o: utility.cpp
	$(CPP) -c utility.cpp -o utility.o $(CXXFLAGS)

console.o: console.cpp
	$(CPP) -c console.cpp -o console.o $(CXXFLAGS)

automode.o: automode.cpp
	$(CPP) -c automode.cpp -o automode.o $(CXXFLAGS)

graphics.o: graphics.cpp
	$(CPP) -c graphics.cpp -o graphics.o $(CXXFLAGS)

map.o: map.cpp
	$(CPP) -c map.cpp -o map.o $(CXXFLAGS)

sim1_private.res: sim1_private.rc resource.rc 
	$(WINDRES) -i sim1_private.rc -I rc -o sim1_private.res -O coff 
